﻿@using System.Web.UI.WebControls;

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td style="width: 100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route Code";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtRouteCode";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                        settings.Properties.MaxLength = 4;
                    }
                ).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="width: 100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route Name";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtRouteName";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                        settings.Properties.MaxLength = 30;
                    }
                ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Logistic Partner";
                }).GetHtml()
        </td>
        <td>
             @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "grlLPHeader";
                    s.GridProperties.Name = "grlLPHeaderGrid";
                    s.GridProperties.KeyFieldName = "LPCode";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "RoutePriceMaster", Action = "LPPartialAdditional" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPCode";
                        c.FieldName = "LPCode";
                        c.Caption = "LP Code";
                        c.Width = Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPName";
                        c.FieldName = "LPName";
                        c.Caption = "LP Name";
                    });
                }
            ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Price";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "sePrice";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 133;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Valid From";
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "deValidFrom";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                    }
                ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Valid To";
                    }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "deValidTo";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 133;
                        }
                    ).GetHtml()
        </td>
    </tr>

</table>

<table cellpadding="0" cellspacing="0" width="243">
    <tr>
        <td align="left">
            
        </td>

        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSave";
                    button.Text = "Save";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnSave_click";

                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnCancel";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnCancel_click";
                }
            ).GetHtml()
        </td>
    </tr>
</table>
